package systems.archide.core.pojo;

import java.time.LocalDateTime;

public class ArchideMtlbAnnexLogEntry {
	String author;
	String type;
	String content;
	LocalDateTime timestamp;

	public ArchideMtlbAnnexLogEntry() {
		super();
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public LocalDateTime getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(LocalDateTime timestamp) {
		this.timestamp = timestamp;
	}

	public ArchideMtlbAnnexLogEntry(String author, String type, String content) {
		super();
		this.author = author;
		this.content = content;
		this.type = type;
		this.timestamp = LocalDateTime.now();
	}

	public ArchideMtlbAnnexLogEntry(String author, String type, String content, LocalDateTime timestamp) {
		super();
		this.author = author;
		this.content = content;
		this.type = type;
		this.timestamp = timestamp;
	}
}
