package systems.archide.core.pojo;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;

public class ArchideMtlbAnnexUtil {
	public static final ObjectMapper objectMapper = new ObjectMapper();
	
	public static final ArchideMtlbAnnex deserialize(String annex) throws JsonMappingException, JsonProcessingException {
		objectMapper.registerModule(new JavaTimeModule());
		return objectMapper.readValue(annex, ArchideMtlbAnnex.class);
	}
}
