package systems.archide.core.pojo;

import java.util.List;

public class GeneralStatistics {

	Long issuedIdCardsNumber;
	Long notExpiredIdCardsNumber;
	Long notCancelledIdCardsNumber;
	Long activatedIdCardsNumber;
	Long distinctIndividualsIdCardsNumber;
	Long authorizedBirthRecordsNumber;
	Long livingAuthorizedBirthRecordsNumber;
	Long livingFemalesAged18To29Number;
	Long livingMalesAged18To29Number;
	Long livingMalesAgedUnder18Number;
	Long livingFemalesAgedUnder18Number;
	Long livingMalesAged30To49Number;
	Long livingFemalesAged30To49Number;
	Long livingMalesAgedOver49Number;
	Long livingFemalesAgedOver49Number;
	Long livingPeopleWithCardsNumber;
	Long livingMalesAgedUnder18WithCardsNumber;
	Long livingFemalesAgedUnder18WithCardsNumber;
	Long livingMalesAged18To29WithCardsNumber;
	Long livingFemalesAged18To29WithCardsNumber;
	Long livingMalesAged30To49WithCardsNumber;
	Long livingFemalesAged30To49WithCardsNumber;
	Long livingMalesAgedOver49WithCardsNumber;
	Long livingFemalesAgedOver49WithCardsNumber;
	List<ProvinceGeneralStatistics> provinceGeneralStatisticsList;

	public GeneralStatistics() {

	}

	public Long getIssuedIdCardsNumber() {
		return issuedIdCardsNumber;
	}

	public void setIssuedIdCardsNumber(Long issuedIdCardsNumber) {
		this.issuedIdCardsNumber = issuedIdCardsNumber;
	}

	public Long getNotExpiredIdCardsNumber() {
		return notExpiredIdCardsNumber;
	}

	public void setNotExpiredIdCardsNumber(Long notExpiredIdCardsNumber) {
		this.notExpiredIdCardsNumber = notExpiredIdCardsNumber;
	}

	public Long getNotCancelledIdCardsNumber() {
		return notCancelledIdCardsNumber;
	}

	public void setNotCancelledIdCardsNumber(Long notCancelledIdCardsNumber) {
		this.notCancelledIdCardsNumber = notCancelledIdCardsNumber;
	}

	public Long getActivatedIdCardsNumber() {
		return activatedIdCardsNumber;
	}

	public void setActivatedIdCardsNumber(Long activatedIdCardsNumber) {
		this.activatedIdCardsNumber = activatedIdCardsNumber;
	}

	public Long getDistinctIndividualsIdCardsNumber() {
		return distinctIndividualsIdCardsNumber;
	}

	public void setDistinctIndividualsIdCardsNumber(Long distinctIndividualsIdCardsNumber) {
		this.distinctIndividualsIdCardsNumber = distinctIndividualsIdCardsNumber;
	}

	public Long getAuthorizedBirthRecordsNumber() {
		return authorizedBirthRecordsNumber;
	}

	public void setAuthorizedBirthRecordsNumber(Long authorizedBirthRecordsNumber) {
		this.authorizedBirthRecordsNumber = authorizedBirthRecordsNumber;
	}

	public Long getLivingAuthorizedBirthRecordsNumber() {
		return livingAuthorizedBirthRecordsNumber;
	}

	public void setLivingAuthorizedBirthRecordsNumber(Long livingAuthorizedBirthRecordsNumber) {
		this.livingAuthorizedBirthRecordsNumber = livingAuthorizedBirthRecordsNumber;
	}

	public Long getLivingFemalesAged18To29Number() {
		return livingFemalesAged18To29Number;
	}

	public void setLivingFemalesAged18To29Number(Long livingFemalesAged18To29Number) {
		this.livingFemalesAged18To29Number = livingFemalesAged18To29Number;
	}

	public Long getLivingMalesAged18To29Number() {
		return livingMalesAged18To29Number;
	}

	public void setLivingMalesAged18To29Number(Long livingMalesAged18To29Number) {
		this.livingMalesAged18To29Number = livingMalesAged18To29Number;
	}

	public Long getLivingMalesAgedUnder18Number() {
		return livingMalesAgedUnder18Number;
	}

	public void setLivingMalesAgedUnder18Number(Long livingMalesAgedUnder18Number) {
		this.livingMalesAgedUnder18Number = livingMalesAgedUnder18Number;
	}

	public Long getLivingFemalesAgedUnder18Number() {
		return livingFemalesAgedUnder18Number;
	}

	public void setLivingFemalesAgedUnder18Number(Long livingFemalesAgedUnder18Number) {
		this.livingFemalesAgedUnder18Number = livingFemalesAgedUnder18Number;
	}

	public Long getLivingMalesAged30To49Number() {
		return livingMalesAged30To49Number;
	}

	public void setLivingMalesAged30To49Number(Long livingMalesAged30To49Number) {
		this.livingMalesAged30To49Number = livingMalesAged30To49Number;
	}

	public Long getLivingFemalesAged30To49Number() {
		return livingFemalesAged30To49Number;
	}

	public void setLivingFemalesAged30To49Number(Long livingFemalesAged30To49Number) {
		this.livingFemalesAged30To49Number = livingFemalesAged30To49Number;
	}

	public Long getLivingMalesAgedOver49Number() {
		return livingMalesAgedOver49Number;
	}

	public void setLivingMalesAgedOver49Number(Long livingMalesAgedOver49Number) {
		this.livingMalesAgedOver49Number = livingMalesAgedOver49Number;
	}

	public Long getLivingFemalesAgedOver49Number() {
		return livingFemalesAgedOver49Number;
	}

	public void setLivingFemalesAgedOver49Number(Long livingFemalesAgedOver49Number) {
		this.livingFemalesAgedOver49Number = livingFemalesAgedOver49Number;
	}

	public Long getLivingPeopleWithCardsNumber() {
		return livingPeopleWithCardsNumber;
	}

	public void setLivingPeopleWithCardsNumber(Long livingPeopleWithCardsNumber) {
		this.livingPeopleWithCardsNumber = livingPeopleWithCardsNumber;
	}

	public Long getLivingMalesAgedUnder18WithCardsNumber() {
		return livingMalesAgedUnder18WithCardsNumber;
	}

	public void setLivingMalesAgedUnder18WithCardsNumber(Long livingMalesAgedUnder18WithCardsNumber) {
		this.livingMalesAgedUnder18WithCardsNumber = livingMalesAgedUnder18WithCardsNumber;
	}

	public Long getLivingFemalesAgedUnder18WithCardsNumber() {
		return livingFemalesAgedUnder18WithCardsNumber;
	}

	public void setLivingFemalesAgedUnder18WithCardsNumber(Long livingFemalesAgedUnder18WithCardsNumber) {
		this.livingFemalesAgedUnder18WithCardsNumber = livingFemalesAgedUnder18WithCardsNumber;
	}

	public Long getLivingMalesAged18To29WithCardsNumber() {
		return livingMalesAged18To29WithCardsNumber;
	}

	public void setLivingMalesAged18To29WithCardsNumber(Long livingMalesAged18To29WithCardsNumber) {
		this.livingMalesAged18To29WithCardsNumber = livingMalesAged18To29WithCardsNumber;
	}

	public Long getLivingFemalesAged18To29WithCardsNumber() {
		return livingFemalesAged18To29WithCardsNumber;
	}

	public void setLivingFemalesAged18To29WithCardsNumber(Long livingFemalesAged18To29WithCardsNumber) {
		this.livingFemalesAged18To29WithCardsNumber = livingFemalesAged18To29WithCardsNumber;
	}

	public Long getLivingMalesAged30To49WithCardsNumber() {
		return livingMalesAged30To49WithCardsNumber;
	}

	public void setLivingMalesAged30To49WithCardsNumber(Long livingMalesAged30To49WithCardsNumber) {
		this.livingMalesAged30To49WithCardsNumber = livingMalesAged30To49WithCardsNumber;
	}

	public Long getLivingFemalesAged30To49WithCardsNumber() {
		return livingFemalesAged30To49WithCardsNumber;
	}

	public void setLivingFemalesAged30To49WithCardsNumber(Long livingFemalesAged30To49WithCardsNumber) {
		this.livingFemalesAged30To49WithCardsNumber = livingFemalesAged30To49WithCardsNumber;
	}

	public Long getLivingMalesAgedOver49WithCardsNumber() {
		return livingMalesAgedOver49WithCardsNumber;
	}

	public void setLivingMalesAgedOver49WithCardsNumber(Long livingMalesAgedOver49WithCardsNumber) {
		this.livingMalesAgedOver49WithCardsNumber = livingMalesAgedOver49WithCardsNumber;
	}

	public Long getLivingFemalesAgedOver49WithCardsNumber() {
		return livingFemalesAgedOver49WithCardsNumber;
	}

	public void setLivingFemalesAgedOver49WithCardsNumber(Long livingFemalesAgedOver49WithCardsNumber) {
		this.livingFemalesAgedOver49WithCardsNumber = livingFemalesAgedOver49WithCardsNumber;
	}

	public List<ProvinceGeneralStatistics> getProvinceGeneralStatisticsList() {
		return provinceGeneralStatisticsList;
	}

	public void setProvinceGeneralStatisticsList(List<ProvinceGeneralStatistics> provinceGeneralStatisticsList) {
		this.provinceGeneralStatisticsList = provinceGeneralStatisticsList;
	}

}
