package systems.archide.core.pojo;

import java.time.LocalDate;
import java.time.LocalTime;

public class MarriageCertificateResponse {
	
	String partner1Surname;
	String partner1FirstNames;
	String partner1MelanesianName;
	String partner1SurnameAtBirth;
	String partner1FirstNamesAtBirth;
	short partner1Sex;
	LocalDate partner1DateOfBirth;
	String partner1BirthLocation;
	String partner1UsualResidence;
	
	String partner2Surname;
	String partner2FirstNames;
	String partner2MelanesianName;
	String partner2SurnameAtBirth;
	String partner2FirstNamesAtBirth;
	short partner2Sex;
	LocalDate partner2DateOfBirth;
	String partner2BirthLocation;
	String partner2UsualResidence;
	
	String declarationFullName;
	Long declarationNationalIdNumber;
	LocalDate declarationDate;
	String declarationPlace;
	String declarationOfficer;
	String declarationPosition;
	
	String partner1MotherFamilyName;
	String partner1MotherFirstNames;
	String partner1MotherFamilyNameAtBirth;
	Long partner1MotherNationalIdNumber;
	String partner1FatherFamilyName;
	String partner1FatherFirstNames;
	String partner1FatherFamilyNameAtBirth;
	Long partner1FatherNationalIdNumber;
	
	String partner2MotherFamilyName;
	String partner2MotherFirstNames;
	String partner2MotherFamilyNameAtBirth;
	Long partner2MotherNationalIdNumber;
	String partner2FatherFamilyName;
	String partner2FatherFirstNames;
	String partner2FatherFamilyNameAtBirth;
	Long partner2FatherNationalIdNumber;
	String partner1FatherName;
	String partner1MotherName;
	String partner2FatherName;
	String partner2MotherName;
	Long partner2VitalRecordId;
	Long partner1VitalRecordId;
	String celebrant;
	String firstWitnessName;
	Long firstWitnessId;
	String secondWitnessName;
	Long secondWitnessId;
	
	String position;
	String officer;
	Integer marriageType;
	
	LocalTime timeOfMarriage;
	
	Boolean partner1reported;
	Boolean partner2reported;
	
	String registrationLocation;
	String mentions;
	
	public MarriageCertificateResponse() {
		
	}

	public String getRegistrationLocation() {
		return registrationLocation;
	}

	public void setRegistrationLocation(String registrationLocation) {
		this.registrationLocation = registrationLocation;
	}

	public String getMentions() {
		return mentions;
	}

	public void setMentions(String mentions) {
		this.mentions = mentions;
	}

	public Integer getMarriageType() {
		return marriageType;
	}

	public void setMarriageType(Integer marriageType) {
		this.marriageType = marriageType;
	}

	public LocalTime getTimeOfMarriage() {
		return timeOfMarriage;
	}

	public void setTimeOfMarriage(LocalTime timeOfMarriage) {
		this.timeOfMarriage = timeOfMarriage;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getOfficer() {
		return officer;
	}

	public void setOfficer(String officer) {
		this.officer = officer;
	}

	public Boolean getPartner1reported() {
		return partner1reported;
	}

	public void setPartner1reported(Boolean partner1reported) {
		this.partner1reported = partner1reported;
	}

	public Boolean getPartner2reported() {
		return partner2reported;
	}

	public void setPartner2reported(Boolean partner2reported) {
		this.partner2reported = partner2reported;
	}

	public String getFirstWitnessName() {
		return firstWitnessName;
	}

	public void setFirstWitnessName(String firstWitnessName) {
		this.firstWitnessName = firstWitnessName;
	}

	public Long getFirstWitnessId() {
		return firstWitnessId;
	}

	public void setFirstWitnessId(Long firstWitnessId) {
		this.firstWitnessId = firstWitnessId;
	}

	public String getSecondWitnessName() {
		return secondWitnessName;
	}

	public void setSecondWitnessName(String secondWitnessName) {
		this.secondWitnessName = secondWitnessName;
	}

	public Long getSecondWitnessId() {
		return secondWitnessId;
	}

	public void setSecondWitnessId(Long secondWitnessId) {
		this.secondWitnessId = secondWitnessId;
	}

	public Long getPartner2VitalRecordId() {
		return partner2VitalRecordId;
	}

	public void setPartner2VitalRecordId(Long partner2VitalRecordId) {
		this.partner2VitalRecordId = partner2VitalRecordId;
	}

	public Long getPartner1VitalRecordId() {
		return partner1VitalRecordId;
	}

	public void setPartner1VitalRecordId(Long partner1VitalRecordId) {
		this.partner1VitalRecordId = partner1VitalRecordId;
	}

	public String getCelebrant() {
		return celebrant;
	}

	public void setCelebrant(String celebrant) {
		this.celebrant = celebrant;
	}

	public String getPartner1MotherName() {
		return partner1MotherName;
	}

	public void setPartner1MotherName(String partner1MotherName) {
		this.partner1MotherName = partner1MotherName;
	}

	public String getPartner2FatherName() {
		return partner2FatherName;
	}

	public void setPartner2FatherName(String partner2FatherName) {
		this.partner2FatherName = partner2FatherName;
	}

	public String getPartner2MotherName() {
		return partner2MotherName;
	}

	public void setPartner2MotherName(String partner2MotherName) {
		this.partner2MotherName = partner2MotherName;
	}

	public String getPartner1FatherName() {
		return partner1FatherName;
	}

	public void setPartner1FatherFirstNames(String partner1FatherFirstNames) {
		this.partner1FatherFirstNames = partner1FatherFirstNames;
	}

	public String getPartner1Surname() {
		return partner1Surname;
	}

	public void setPartner1Surname(String partner1Surname) {
		this.partner1Surname = partner1Surname;
	}

	public String getPartner1FirstNames() {
		return partner1FirstNames;
	}

	public void setPartner1FirstNames(String partner1FirstNames) {
		this.partner1FirstNames = partner1FirstNames;
	}

	public String getPartner1MelanesianName() {
		return partner1MelanesianName;
	}

	public void setPartner1MelanesianName(String partner1MelanesianName) {
		this.partner1MelanesianName = partner1MelanesianName;
	}

	public String getPartner1SurnameAtBirth() {
		return partner1SurnameAtBirth;
	}

	public void setPartner1SurnameAtBirth(String partner1SurnameAtBirth) {
		this.partner1SurnameAtBirth = partner1SurnameAtBirth;
	}

	public String getPartner1FirstNamesAtBirth() {
		return partner1FirstNamesAtBirth;
	}

	public void setPartner1FirstNamesAtBirth(String partner1FirstNamesAtBirth) {
		this.partner1FirstNamesAtBirth = partner1FirstNamesAtBirth;
	}

	public short getPartner1Sex() {
		return partner1Sex;
	}

	public void setPartner1Sex(short partner1Sex) {
		this.partner1Sex = partner1Sex;
	}

	public LocalDate getPartner1DateOfBirth() {
		return partner1DateOfBirth;
	}

	public void setPartner1DateOfBirth(LocalDate partner1DateOfBirth) {
		this.partner1DateOfBirth = partner1DateOfBirth;
	}

	public String getPartner1BirthLocation() {
		return partner1BirthLocation;
	}

	public void setPartner1BirthLocation(String partner1BirthLocation) {
		this.partner1BirthLocation = partner1BirthLocation;
	}

	public String getPartner1UsualResidence() {
		return partner1UsualResidence;
	}

	public void setPartner1UsualResidence(String partner1UsualResidence) {
		this.partner1UsualResidence = partner1UsualResidence;
	}

	public String getPartner2Surname() {
		return partner2Surname;
	}

	public void setPartner2Surname(String partner2Surname) {
		this.partner2Surname = partner2Surname;
	}

	public String getPartner2FirstNames() {
		return partner2FirstNames;
	}

	public void setPartner2FirstNames(String partner2FirstNames) {
		this.partner2FirstNames = partner2FirstNames;
	}

	public String getPartner2MelanesianName() {
		return partner2MelanesianName;
	}

	public void setPartner2MelanesianName(String partner2MelanesianName) {
		this.partner2MelanesianName = partner2MelanesianName;
	}

	public String getPartner2SurnameAtBirth() {
		return partner2SurnameAtBirth;
	}

	public void setPartner2SurnameAtBirth(String partner2SurnameAtBirth) {
		this.partner2SurnameAtBirth = partner2SurnameAtBirth;
	}

	public String getPartner2FirstNamesAtBirth() {
		return partner2FirstNamesAtBirth;
	}

	public void setPartner2FirstNamesAtBirth(String partner2FirstNamesAtBirth) {
		this.partner2FirstNamesAtBirth = partner2FirstNamesAtBirth;
	}

	public short getPartner2Sex() {
		return partner2Sex;
	}

	public void setPartner2Sex(short partner2Sex) {
		this.partner2Sex = partner2Sex;
	}

	public LocalDate getPartner2DateOfBirth() {
		return partner2DateOfBirth;
	}

	public void setPartner2DateOfBirth(LocalDate partner2DateOfBirth) {
		this.partner2DateOfBirth = partner2DateOfBirth;
	}

	public String getPartner2BirthLocation() {
		return partner2BirthLocation;
	}

	public void setPartner2BirthLocation(String partner2BirthLocation) {
		this.partner2BirthLocation = partner2BirthLocation;
	}

	public String getPartner2UsualResidence() {
		return partner2UsualResidence;
	}

	public void setPartner2UsualResidence(String partner2UsualResidence) {
		this.partner2UsualResidence = partner2UsualResidence;
	}

	public String getDeclarationFullName() {
		return declarationFullName;
	}

	public void setDeclarationFullName(String declarationFullName) {
		this.declarationFullName = declarationFullName;
	}

	public Long getDeclarationNationalIdNumber() {
		return declarationNationalIdNumber;
	}

	public void setDeclarationNationalIdNumber(Long declarationNationalIdNumber) {
		this.declarationNationalIdNumber = declarationNationalIdNumber;
	}

	public LocalDate getDeclarationDate() {
		return declarationDate;
	}

	public void setDeclarationDate(LocalDate declarationDate) {
		this.declarationDate = declarationDate;
	}

	public String getDeclarationPlace() {
		return declarationPlace;
	}

	public void setDeclarationPlace(String declarationPlace) {
		this.declarationPlace = declarationPlace;
	}

	public String getDeclarationOfficer() {
		return declarationOfficer;
	}

	public void setDeclarationOfficer(String declarationOfficer) {
		this.declarationOfficer = declarationOfficer;
	}

	public String getDeclarationPosition() {
		return declarationPosition;
	}

	public void setDeclarationPosition(String declarationPosition) {
		this.declarationPosition = declarationPosition;
	}

	public String getPartner1MotherFamilyName() {
		return partner1MotherFamilyName;
	}

	public void setPartner1MotherFamilyName(String partner1MotherFamilyName) {
		this.partner1MotherFamilyName = partner1MotherFamilyName;
	}

	public String getPartner1MotherFirstNames() {
		return partner1MotherFirstNames;
	}

	public void setPartner1MotherFirstNames(String partner1MotherFirstNames) {
		this.partner1MotherFirstNames = partner1MotherFirstNames;
	}

	public String getPartner1MotherFamilyNameAtBirth() {
		return partner1MotherFamilyNameAtBirth;
	}

	public void setPartner1MotherFamilyNameAtBirth(String partner1MotherFamilyNameAtBirth) {
		this.partner1MotherFamilyNameAtBirth = partner1MotherFamilyNameAtBirth;
	}

	public Long getPartner1MotherNationalIdNumber() {
		return partner1MotherNationalIdNumber;
	}

	public void setPartner1MotherNationalIdNumber(Long partner1MotherNationalIdNumber) {
		this.partner1MotherNationalIdNumber = partner1MotherNationalIdNumber;
	}

	public String getPartner1FatherFamilyName() {
		return partner1FatherFamilyName;
	}

	public void setPartner1FatherFamilyName(String partner1FatherFamilyName) {
		this.partner1FatherFamilyName = partner1FatherFamilyName;
	}

	public String getPartner1FatherFirstNames() {
		return partner1FatherFirstNames;
	}

	public void setPartner1FatherName(String partner1FatherName) {
		this.partner1FatherName= partner1FatherName;
	}

	public String getPartner1FatherFamilyNameAtBirth() {
		return partner1FatherFamilyNameAtBirth;
	}

	public void setPartner1FatherFamilyNameAtBirth(String partner1FatherFamilyNameAtBirth) {
		this.partner1FatherFamilyNameAtBirth = partner1FatherFamilyNameAtBirth;
	}

	public Long getPartner1FatherNationalIdNumber() {
		return partner1FatherNationalIdNumber;
	}

	public void setPartner1FatherNationalIdNumber(Long partner1FatherNationalIdNumber) {
		this.partner1FatherNationalIdNumber = partner1FatherNationalIdNumber;
	}

	public String getPartner2MotherFamilyName() {
		return partner2MotherFamilyName;
	}

	public void setPartner2MotherFamilyName(String partner2MotherFamilyName) {
		this.partner2MotherFamilyName = partner2MotherFamilyName;
	}

	public String getPartner2MotherFirstNames() {
		return partner2MotherFirstNames;
	}

	public void setPartner2MotherFirstNames(String partner2MotherFirstNames) {
		this.partner2MotherFirstNames = partner2MotherFirstNames;
	}

	public String getPartner2MotherFamilyNameAtBirth() {
		return partner2MotherFamilyNameAtBirth;
	}

	public void setPartner2MotherFamilyNameAtBirth(String partner2MotherFamilyNameAtBirth) {
		this.partner2MotherFamilyNameAtBirth = partner2MotherFamilyNameAtBirth;
	}

	public Long getPartner2MotherNationalIdNumber() {
		return partner2MotherNationalIdNumber;
	}

	public void setPartner2MotherNationalIdNumber(Long partner2MotherNationalIdNumber) {
		this.partner2MotherNationalIdNumber = partner2MotherNationalIdNumber;
	}

	public String getPartner2FatherFamilyName() {
		return partner2FatherFamilyName;
	}

	public void setPartner2FatherFamilyName(String partner2FatherFamilyName) {
		this.partner2FatherFamilyName = partner2FatherFamilyName;
	}

	public String getPartner2FatherFirstNames() {
		return partner2FatherFirstNames;
	}

	public void setPartner2FatherFirstNames(String partner2FatherFirstNames) {
		this.partner2FatherFirstNames = partner2FatherFirstNames;
	}

	public String getPartner2FatherFamilyNameAtBirth() {
		return partner2FatherFamilyNameAtBirth;
	}

	public void setPartner2FatherFamilyNameAtBirth(String partner2FatherFamilyNameAtBirth) {
		this.partner2FatherFamilyNameAtBirth = partner2FatherFamilyNameAtBirth;
	}

	public Long getPartner2FatherNationalIdNumber() {
		return partner2FatherNationalIdNumber;
	}

	public void setPartner2FatherNationalIdNumber(Long partner2FatherNationalIdNumber) {
		this.partner2FatherNationalIdNumber = partner2FatherNationalIdNumber;
	}

}
