package systems.archide.core.pojo;

import java.time.LocalDate;
import java.util.List;

public class SearchColumn {
	
	String name;
    String type;
    String searchType; 
    LongRange longRange;
    DateRange dateRange;
    List<String> enumValues;
    Boolean booleanValue;
    String textValue;
    Long longValue;
    LocalDate dateValue;
    Boolean and;
    
	public SearchColumn(String name, String type, String searchType, LongRange longRange, DateRange dateRange,
			List<String> enumValues, Boolean and, Boolean booleanValue, String textValue, Long longValue, LocalDate dateValue) {
		super();
		this.name = name;
		this.type = type;
		this.searchType = searchType;
		this.longRange = longRange;
		this.dateRange = dateRange;
		this.enumValues = enumValues;
		this.booleanValue = booleanValue;
		this.textValue = textValue;
		this.longValue = longValue;
		this.dateValue = dateValue;
		this.and = and;
	}
	
	public SearchColumn() {
		
	}

	public Long getLongValue() {
		return longValue;
	}

	public void setLongValue(Long longValue) {
		this.longValue = longValue;
	}

	public LocalDate getDateValue() {
		return dateValue;
	}

	public void setDateValue(LocalDate dateValue) {
		this.dateValue = dateValue;
	}

	public String getTextValue() {
		return textValue;
	}

	public void setTextValue(String textValue) {
		this.textValue = textValue;
	}

	public Boolean getBooleanValue() {
		return booleanValue;
	}

	public void setBooleanValue(Boolean booleanValue) {
		this.booleanValue = booleanValue;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getSearchType() {
		return searchType;
	}

	public void setSearchType(String searchType) {
		this.searchType = searchType;
	}

	public LongRange getLongRange() {
		return longRange;
	}

	public void setLongRange(LongRange longRange) {
		this.longRange = longRange;
	}

	public DateRange getDateRange() {
		return dateRange;
	}

	public void setDateRange(DateRange dateRange) {
		this.dateRange = dateRange;
	}

	public List<String> getEnumValues() {
		return enumValues;
	}

	public void setEnumValues(List<String> enumValues) {
		this.enumValues = enumValues;
	}

	public Boolean getAnd() {
		return and;
	}

	public void setAnd(Boolean and) {
		this.and = and;
	}

}
