package systems.archide.core.pojo;

import java.util.ArrayList;
import java.util.List;

public class SearchQueryInput {
	
	List<SearchColumn> columns;
	Boolean caseSensitiveSearch;

	public SearchQueryInput() {
		
	}

	public List<SearchColumn> getColumns() {
		return columns;
	}

	public void setColumns(List<SearchColumn> columns) {
		this.columns = columns;
	}

	public Boolean getCaseSensitiveSearch() {
		return caseSensitiveSearch;
	}

	public void setCaseSensitiveSearch(Boolean caseSensitiveSearch) {
		this.caseSensitiveSearch = caseSensitiveSearch;
	}

	public void addColumn(SearchColumn column) {
		if (columns != null)
			this.columns.add(column);
		else
		{
			this.columns = new ArrayList<>();
			this.columns.add(column);
		}
			
	}

}
