package systems.archide.core.pojo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.List;

public class DeathCertificateData {

	Long id;
	Long vitalRecordId;
	String firstname;
	LocalDate dateOfDeath;
	Short gender;
	String thirdname;
	String motherName;
	String fourthname;
	String fatherName;
	LocalTime timeOfDeath;
	String deathPlace;
	String address;
	LocalDate birthdate;
	String occupation;
	String spouseName;
	Long spouseId;
	LocalDate marriageDate;
	String marriageLocation;
	String birthPlace;
	Long declarantId;
	List<ChildData> children;
	Boolean reportedRecord;
	String declarantFirstname;
	String declarantSecondname;
	String declarantFourthname;
	LocalDateTime timestamp;
	
	String registrationLocation;
	String mentions;
	
	public DeathCertificateData() {
	}

	public String getRegistrationLocation() {
		return registrationLocation;
	}

	public void setRegistrationLocation(String registrationLocation) {
		this.registrationLocation = registrationLocation;
	}

	public String getMentions() {
		return mentions;
	}

	public void setMentions(String mentions) {
		this.mentions = mentions;
	}

	public String getDeclarantFirstname() {
		return declarantFirstname;
	}

	public void setDeclarantFirstname(String declarantFirstname) {
		this.declarantFirstname = declarantFirstname;
	}

	public String getDeclarantSecondname() {
		return declarantSecondname;
	}

	public void setDeclarantSecondname(String declarantSecondname) {
		this.declarantSecondname = declarantSecondname;
	}

	public String getDeclarantFourthname() {
		return declarantFourthname;
	}

	public void setDeclarantFourthname(String declarantFourthname) {
		this.declarantFourthname = declarantFourthname;
	}

	public LocalDateTime getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(LocalDateTime timestamp) {
		this.timestamp = timestamp;
	}

	public String getBirthPlace() {
		return birthPlace;
	}

	public Long getDeclarantId() {
		return declarantId;
	}

	public void setDeclarantId(Long declarantId) {
		this.declarantId = declarantId;
	}


	public void setBirthPlace(String birthPlace) {
		this.birthPlace = birthPlace;
	}

	public Boolean getReportedRecord() {
		return reportedRecord;
	}

	public void setReportedRecord(Boolean reportedRecord) {
		this.reportedRecord = reportedRecord;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getVitalRecordId() {
		return vitalRecordId;
	}

	public void setVitalRecordId(Long vitalRecordId) {
		this.vitalRecordId = vitalRecordId;
	}

	public String getFirstname() {
		return firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public LocalDate getDateOfDeath() {
		return dateOfDeath;
	}

	public void setDateOfDeath(LocalDate dateOfDeath) {
		this.dateOfDeath = dateOfDeath;
	}

	public Short getGender() {
		return gender;
	}

	public void setGender(Short gender) {
		this.gender = gender;
	}

	public String getThirdname() {
		return thirdname;
	}

	public void setThirdname(String thirdname) {
		this.thirdname = thirdname;
	}

	public String getMotherName() {
		return motherName;
	}

	public void setMotherName(String motherName) {
		this.motherName = motherName;
	}

	public String getFourthname() {
		return fourthname;
	}

	public void setFourthname(String fourthname) {
		this.fourthname = fourthname;
	}

	public String getFatherName() {
		return fatherName;
	}

	public void setFatherName(String fatherName) {
		this.fatherName = fatherName;
	}

	public LocalTime getTimeOfDeath() {
		return timeOfDeath;
	}

	public void setTimeOfDeath(LocalTime timeOfDeath) {
		this.timeOfDeath = timeOfDeath;
	}

	public String getDeathPlace() {
		return deathPlace;
	}

	public void setDeathPlace(String deathPlace) {
		this.deathPlace = deathPlace;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public LocalDate getBirthdate() {
		return birthdate;
	}

	public void setBirthdate(LocalDate birthdate) {
		this.birthdate = birthdate;
	}

	public String getOccupation() {
		return occupation;
	}

	public void setOccupation(String occupation) {
		this.occupation = occupation;
	}

	public String getSpouseName() {
		return spouseName;
	}

	public void setSpouseName(String spouseName) {
		this.spouseName = spouseName;
	}

	public Long getSpouseId() {
		return spouseId;
	}

	public void setSpouseId(Long spouseId) {
		this.spouseId = spouseId;
	}

	public LocalDate getMarriageDate() {
		return marriageDate;
	}

	public void setMarriageDate(LocalDate marriageDate) {
		this.marriageDate = marriageDate;
	}

	public String getMarriageLocation() {
		return marriageLocation;
	}

	public void setMarriageLocation(String marriageLocation) {
		this.marriageLocation = marriageLocation;
	}

	public List<ChildData> getChildren() {
		return children;
	}

	public void setChildren(List<ChildData> children) {
		this.children = children;
	}
	
}
