package systems.archide.core.workflows.utils;

import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public class ServicesStatusManager {
	
	public static void publishStatus(String key, String message, String service) {
		 OkHttpClient client = new OkHttpClient();

	        MediaType mediaType = MediaType.parse("application/json");

	        // Your Centrifugo API endpoint
	        String centrifugoEndpoint = "http://localhost:8000/api/";

	        // Your Centrifugo API key
	        String apiKey = "9ce8f014-b367-4162-b20b-495ed14ab1be";

	        // Channel to publish the message
	        String channel = service;

	        // Data to be sent to the SPA via Centrifugo
	        String dataToSend = "{\"channel\": \"" + channel + "\", \"data\": {\"value\": {\"key\": \"" + key + "\", \"value\": \"" + message + "\"}}}";

	        RequestBody body = RequestBody.create(mediaType, dataToSend);

	        Request request = new Request.Builder()
	                .url(centrifugoEndpoint + "publish") // Publish API endpoint
	                .addHeader("Content-Type", "application/json")
	                .addHeader("Authorization", "apikey " + apiKey)
	                .post(body)
	                .build();

	        try {
	            Response response = client.newCall(request).execute();
	            System.out.println(response.body().string());
	        } catch (Exception e) {
	            e.printStackTrace();
	        }
		
	}

}
